Redmine - Defect #32896

Totals not working in projects list view
2020-01-27 16:29 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version: 411

Resolution: Fixed Affected version:

Description

Projects list view that was introduced in Redmine 4.1.0 has "Totals" checkboxes if numeric custom fields are defined for projects. The
total value of the custom fields is expected to be displayed when the checkbox is on, | think.

However, the total value is not displayed even if the checkbox is on. It seems that the checkbox is not working at all.
Name Identifier Description Budget
eCookbook ecookbook Recipes management application 1000
Private child of eCookbook s private-child This is a private subproject of a public project
Child of private child projecté This is a public subproject of a private project
eCookbook Subproject 1 subprojectl eCookBook Subproject 1
eCookbook Subproject 2 subproject2 eCookbook Subproject 2
OnlineStore onlinestore E-commerce web site 3000

Associated revisions

Revision 19469 - 2020-01-28 02:15 - Go MAEDA
Fix totals not displayed in projects list view (#32896).

Patch by Marius BALTEANU.

Revision 19470 - 2020-01-28 02:17 - Go MAEDA
Merged r19469 from trunk to 4.1-stable (#32896).

Revision 19503 - 2020-02-10 01:17 - Go MAEDA
Fix a Stylelint violation (#32896).

Patch by Marius BALTEANU.

Revision 19504 - 2020-02-10 01:18 - Go MAEDA
Merged r19503 from trunk to 4.1-stable (#32896).

History

#1 - 2020-01-27 17:46 - Marius BALTEANU
- Status changed from New to Confirmed

- Assignee set to Marius BALTEANU
- Target version set to 4.1.1

#2 - 2020-01-27 23:09 - Marius BALTEANU
- File 0001-Fix-totals-not-displayed-in-projects-list-view.patch added
- Assignee changed from Marius BALTEANU to Go MAEDA

Here is the fix with a test. Thanks for detecting the issue. All tests pass.

#3 - 2020-01-28 02:18 - Go MAEDA

- Resolution set to Fixed
Committed the patch. Thank you for posting the patch so quickly.

#4 - 2020-01-28 02:20 - Go MAEDA

- Status changed from Confirmed to Closed

#5 - 2020-02-09 16:10 - Marius BALTEANU

- File fix_stylelint_violation.patch added

- Status changed from Closed to Reopened

My patch introduced a new Stylelint violation, please commit the attached fix.

public/stylesheets/application.css
410:1 [0 Unexpected duplicate selector ".query-totals", first used at line 407 no-duplicate-selectors

#6 - 2020-02-10 01:17 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

My patch introduced a new Stylelint violation, please commit the attached fix.

(-]

Committed the patch.
